Prepare and check storage layer for punjabiwikimedia
Closed, ResolvedPublic

Description

This wiki is going to be fishbowl wiki.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 21 2018, 11:33 AM
Zoranzoki21 updated the task description. (Show Details)Oct 21 2018, 6:41 PM
Banyek triaged this task as Normal priority.Oct 21 2018, 8:45 PM
Banyek added a subscriber: Banyek.

Please ping me (or anybody in the persistance team) when the wiki is created, and I can do the sanitzation

Banyek moved this task from Triage to Blocked external/Not db team on the DBA board.
Banyek moved this task from Backlog to Wait on external on the User-Banyek board.
bd808 edited projects, added Data-Services; removed Cloud-Services.Nov 2 2018, 11:33 PM
bd808 moved this task from Backlog to Wiki replicas on the Data-Services board.
Banyek claimed this task.Thu, Nov 15, 9:18 AM

doing sanitization

Mentioned in SAL (#wikimedia-operations) [2018-11-15T10:07:42Z] <banyek> sanitizing db2094 ( T205714 T207584 T205713 T206916 )

Mentioned in SAL (#wikimedia-operations) [2018-11-15T10:15:31Z] <banyek> sanitizing db1124 ( T205714 T207584 T205713 T206916 )

The sanitization is done, but before I route this to the cloud team we need to check if the triggers work. I need for somebody to log in and ping me to check if the sensitive data got removed.

Banyek reassigned this task from Banyek to Urbanecm.Thu, Nov 15, 1:48 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptThu, Nov 15, 1:48 PM
Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.Thu, Nov 15, 3:24 PM

I also created the privileges for the cloud team to create the views, but this ticket is still waits on the test user creation

Urbanecm added a subscriber: Reedy.Tue, Nov 20, 2:34 PM

Yeah, but there is no account in the wiki, so nobody can log in. I pinged @Reedy with request for an account creation, waiting :).

@Banyek One user finally exist on the wiki. Do you need anything more to be able to complete this?

Banyek edited projects, added Cloud-Services; removed Data-Services.EditedThu, Dec 6, 5:02 PM
Banyek added a subscriber: Bstorm.

@Urbanecm Nope, I checked it on the labsdb instances and it was sanitized properl;y.
@Bstorm you can create the views (if the fishbowl wikis have views)

Banyek edited projects, added Data-Services; removed Cloud-Services, DBA.Fri, Dec 7, 8:34 AM
Banyek added a project: DBA.Fri, Dec 7, 8:39 AM
Banyek moved this task from In progress to Done on the DBA board.

Views and indexes created.

MariaDB [meta_p]> SELECT count(*) FROM meta_p.wiki WHERE dbname = 'punjabiwikimedia';
+----------+
| count(*) |
+----------+
|        1 |
+----------+

MariaDB [punjabiwikimedia_p]> select count(*) from user;
+----------+
| count(*) |
+----------+
|        1 |
+----------+
1 row in set (0.01 sec)
GTirloni closed this task as Resolved.Fri, Dec 7, 5:50 PM
Urbanecm reassigned this task from Urbanecm to GTirloni.EditedFri, Dec 7, 9:31 PM
Urbanecm removed a project: User-Urbanecm.

Reassigning, as I didn't complete this task - it was assigned to me just to indicate it is blocked on me. Feel free to assign to somebody else if I picked the wrong user.